<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelRegion Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelRegion Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelRegion" --><!-- doxytag: inherits="iBase" -->
<p>A region.  
 <a href="structiCelRegion.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="zone_8h_source.html">propclass/zone.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelRegion:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelRegion.png" usemap="#iCelRegion_map" alt=""/>
  <map id="iCelRegion_map" name="iCelRegion_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,73,24"/>
</map>
 </div></div>

<p><a href="structiCelRegion-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#afa66e5a4e9eccbb68eb43a6f845943a5">AssociateEntity</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Register an entity that should be removed as soon as this region is unloaded.  <a href="#afa66e5a4e9eccbb68eb43a6f845943a5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#a4b9601b72ea41169e978559373feabfa">ContainsEntity</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine whether the given entity is in this region.  <a href="#a4b9601b72ea41169e978559373feabfa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelMapFile.html">iCelMapFile</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#af2d8c4641bb9bc26adabc0952b0e9a84">CreateMapFile</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a map file for this region and associate it with this region.  <a href="#af2d8c4641bb9bc26adabc0952b0e9a84"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#a9d05f184a5e570b5413535a7d27860ed">DissociateEntity</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unregister an entity from this region.  <a href="#a9d05f184a5e570b5413535a7d27860ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelMapFile.html">iCelMapFile</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#aca7f452332bd82d251bea55289d15f7a">FindMapFile</a> (const char *name) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find the specified map file.  <a href="#aca7f452332bd82d251bea55289d15f7a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#afac58ebcbdbf8a584e844cb8fe4a96a4">GetCachePath</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the VFS path for the cache manager.  <a href="#afac58ebcbdbf8a584e844cb8fe4a96a4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollection.html">iCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#a337115bf3e7d3368cc4be4a094ffe464">GetCollection</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/namespaceCS.html">CS</a> region that is used for this region.  <a href="#a337115bf3e7d3368cc4be4a094ffe464"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#a8fb9c1205a1f889235e50a37ae59d67d">GetCsCollectionName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/namespaceCS.html">CS</a> region that is used for this region.  <a href="#a8fb9c1205a1f889235e50a37ae59d67d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelMapFile.html">iCelMapFile</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#ac88bb402a63f1b8bf29b3e60128c8863">GetMapFile</a> (int idx) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the specified map file.  <a href="#ac88bb402a63f1b8bf29b3e60128c8863"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#aabc6b86ac6da65e8ba4ee55462ddccf9">GetMapFileCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the count of map files in this region.  <a href="#aabc6b86ac6da65e8ba4ee55462ddccf9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#abea45b15c3e00f8875994f07dae6075d">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this region.  <a href="#abea45b15c3e00f8875994f07dae6075d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#a41ca1239b1552fdd960ee0408920da5d">RemoveAllMapFiles</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all map files from this region.  <a href="#a41ca1239b1552fdd960ee0408920da5d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#a3b535f0ffd8f77ce428c8a05ae1fc5b5">RemoveMapFile</a> (<a class="el" href="structiCelMapFile.html">iCelMapFile</a> *mapfile)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete the given map file from this region.  <a href="#a3b535f0ffd8f77ce428c8a05ae1fc5b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRegion.html#a658f8b0b4f8d0d51d119e60936dda7ae">SetCachePath</a> (const char *path)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the VFS path that will be used during the call to engine-&gt;Prepare() after loading this region.  <a href="#a658f8b0b4f8d0d51d119e60936dda7ae"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A region. </p>
<p>A region is a collection of map files which will be loaded in one <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/namespaceCS.html">CS</a> region (iRegion). </p>

<p>Definition at line <a class="el" href="zone_8h_source.html#l00098">98</a> of file <a class="el" href="zone_8h_source.html">zone.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="afa66e5a4e9eccbb68eb43a6f845943a5"></a><!-- doxytag: member="iCelRegion::AssociateEntity" ref="afa66e5a4e9eccbb68eb43a6f845943a5" args="(iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelRegion.html#afa66e5a4e9eccbb68eb43a6f845943a5">iCelRegion::AssociateEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Register an entity that should be removed as soon as this region is unloaded. </p>

</div>
</div>
<a class="anchor" id="a4b9601b72ea41169e978559373feabfa"></a><!-- doxytag: member="iCelRegion::ContainsEntity" ref="a4b9601b72ea41169e978559373feabfa" args="(iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelRegion.html#a4b9601b72ea41169e978559373feabfa">iCelRegion::ContainsEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determine whether the given entity is in this region. </p>

</div>
</div>
<a class="anchor" id="af2d8c4641bb9bc26adabc0952b0e9a84"></a><!-- doxytag: member="iCelRegion::CreateMapFile" ref="af2d8c4641bb9bc26adabc0952b0e9a84" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelMapFile.html">iCelMapFile</a>* <a class="el" href="structiCelRegion.html#af2d8c4641bb9bc26adabc0952b0e9a84">iCelRegion::CreateMapFile</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a map file for this region and associate it with this region. </p>

</div>
</div>
<a class="anchor" id="a9d05f184a5e570b5413535a7d27860ed"></a><!-- doxytag: member="iCelRegion::DissociateEntity" ref="a9d05f184a5e570b5413535a7d27860ed" args="(iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelRegion.html#a9d05f184a5e570b5413535a7d27860ed">iCelRegion::DissociateEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unregister an entity from this region. </p>

</div>
</div>
<a class="anchor" id="aca7f452332bd82d251bea55289d15f7a"></a><!-- doxytag: member="iCelRegion::FindMapFile" ref="aca7f452332bd82d251bea55289d15f7a" args="(const char *name) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelMapFile.html">iCelMapFile</a>* <a class="el" href="structiCelRegion.html#aca7f452332bd82d251bea55289d15f7a">iCelRegion::FindMapFile</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find the specified map file. </p>

</div>
</div>
<a class="anchor" id="afac58ebcbdbf8a584e844cb8fe4a96a4"></a><!-- doxytag: member="iCelRegion::GetCachePath" ref="afac58ebcbdbf8a584e844cb8fe4a96a4" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelRegion.html#afac58ebcbdbf8a584e844cb8fe4a96a4">iCelRegion::GetCachePath</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the VFS path for the cache manager. </p>
<p>Returns 0 if path is not used. </p>

</div>
</div>
<a class="anchor" id="a337115bf3e7d3368cc4be4a094ffe464"></a><!-- doxytag: member="iCelRegion::GetCollection" ref="a337115bf3e7d3368cc4be4a094ffe464" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollection.html">iCollection</a>* <a class="el" href="structiCelRegion.html#a337115bf3e7d3368cc4be4a094ffe464">iCelRegion::GetCollection</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/namespaceCS.html">CS</a> region that is used for this region. </p>

</div>
</div>
<a class="anchor" id="a8fb9c1205a1f889235e50a37ae59d67d"></a><!-- doxytag: member="iCelRegion::GetCsCollectionName" ref="a8fb9c1205a1f889235e50a37ae59d67d" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelRegion.html#a8fb9c1205a1f889235e50a37ae59d67d">iCelRegion::GetCsCollectionName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/namespaceCS.html">CS</a> region that is used for this region. </p>
<p>This will be the name of the entity containing the zone manager appended with the name of the region. i.e. like: &lt;entity&gt;_&lt;region&gt; </p>

</div>
</div>
<a class="anchor" id="ac88bb402a63f1b8bf29b3e60128c8863"></a><!-- doxytag: member="iCelRegion::GetMapFile" ref="ac88bb402a63f1b8bf29b3e60128c8863" args="(int idx) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelMapFile.html">iCelMapFile</a>* <a class="el" href="structiCelRegion.html#ac88bb402a63f1b8bf29b3e60128c8863">iCelRegion::GetMapFile</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the specified map file. </p>

</div>
</div>
<a class="anchor" id="aabc6b86ac6da65e8ba4ee55462ddccf9"></a><!-- doxytag: member="iCelRegion::GetMapFileCount" ref="aabc6b86ac6da65e8ba4ee55462ddccf9" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelRegion.html#aabc6b86ac6da65e8ba4ee55462ddccf9">iCelRegion::GetMapFileCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the count of map files in this region. </p>

</div>
</div>
<a class="anchor" id="abea45b15c3e00f8875994f07dae6075d"></a><!-- doxytag: member="iCelRegion::GetName" ref="abea45b15c3e00f8875994f07dae6075d" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelRegion.html#abea45b15c3e00f8875994f07dae6075d">iCelRegion::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this region. </p>

</div>
</div>
<a class="anchor" id="a41ca1239b1552fdd960ee0408920da5d"></a><!-- doxytag: member="iCelRegion::RemoveAllMapFiles" ref="a41ca1239b1552fdd960ee0408920da5d" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelRegion.html#a41ca1239b1552fdd960ee0408920da5d">iCelRegion::RemoveAllMapFiles</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all map files from this region. </p>

</div>
</div>
<a class="anchor" id="a3b535f0ffd8f77ce428c8a05ae1fc5b5"></a><!-- doxytag: member="iCelRegion::RemoveMapFile" ref="a3b535f0ffd8f77ce428c8a05ae1fc5b5" args="(iCelMapFile *mapfile)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelRegion.html#a3b535f0ffd8f77ce428c8a05ae1fc5b5">iCelRegion::RemoveMapFile</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelMapFile.html">iCelMapFile</a> *&#160;</td>
          <td class="paramname"><em>mapfile</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete the given map file from this region. </p>
<p>Returns false if the map file could not be found in this region. </p>

</div>
</div>
<a class="anchor" id="a658f8b0b4f8d0d51d119e60936dda7ae"></a><!-- doxytag: member="iCelRegion::SetCachePath" ref="a658f8b0b4f8d0d51d119e60936dda7ae" args="(const char *path)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelRegion.html#a658f8b0b4f8d0d51d119e60936dda7ae">iCelRegion::SetCachePath</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the VFS path that will be used during the call to engine-&gt;Prepare() after loading this region. </p>
<p>By default this is not set which means that the lightmaps are supposed to come from every individual map file. If you set this path then you say that the cache manager is setup at this directory instead. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="zone_8h_source.html">zone.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
